Package org.kapott.hbci.manager

# Class ChallengeInfo.Param

java.lang.Object
org.kapott.hbci.manager.ChallengeInfo.Param

Enclosing class:
  `ChallengeInfo`

public static class ChallengeInfo.Param extends Object
Eine Bean fuer einen einzelnen Challenge-Parameter.

## Method Summary

Modifier and Type
Method
Description
`String`
`format(String value)`
Formatiert den Text abhaengig vom Typ.
`String`
`getPath()`
Liefert den Pfad zum Wert.
`String`
`getType()`
Liefert den Typ des Parameters.
`boolean`
`isComplied(Properties secmech)`
Liefert true, wenn entweder keine Bedingung angegeben ist oder die Bedingung erfuellt ist und der Parameter verwendet werden kann.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isComplied

public boolean isComplied(Properties secmech)
Liefert true, wenn entweder keine Bedingung angegeben ist oder die Bedingung erfuellt ist und der Parameter verwendet werden kann.

Parameters:
  `secmech` - die BPD-Informationen zum TAN-Verfahren.
Returns:
  true, wenn der Parameter verwendet werden kann.

### getType

public String getType()
Liefert den Typ des Parameters.

Returns:
  der Typ des Parameters.

### getPath

public String getPath()
Liefert den Pfad zum Wert.

Returns:
  der Pfad zum Wert.

### format

public String format(String value)
Formatiert den Text abhaengig vom Typ. Wenn kein Typ angegeben ist, wird der Wert unformatiert zurueckgegeben.

Parameters:
  `value` - der zu formatierende Wert.
Returns:
  der formatierte Wert.